# QuantumPropagators

[![Version](https://juliahub.com/docs/QuantumPropagators/version.svg)](https://juliahub.com/ui/Packages/QuantumPropagators/ApFlo)
[![Stable](https://img.shields.io/badge/docs-stable-blue.svg)](https://juliaquantumcontrol.github.io/QuantumPropagators.jl/stable)
[![Dev](https://img.shields.io/badge/docs-dev-blue.svg)](https://juliaquantumcontrol.github.io/QuantumPropagators.jl/dev)
[![Build Status](https://github.com/JuliaQuantumControl/QuantumPropagators.jl/workflows/CI/badge.svg)](https://github.com/JuliaQuantumControl/QuantumPropagators.jl/actions)
[![Coverage](https://codecov.io/gh/JuliaQuantumControl/QuantumPropagators.jl/branch/master/graph/badge.svg)](https://codecov.io/gh/JuliaQuantumControl/QuantumPropagators.jl)

Methods for simulating the time dynamics of a quantum system for packages with the [JuliaQuantumControl][] organization.

## Installation

For standalone use, the `QuantumPropagators` package can be installed with [Pkg][] as

~~~
pkg> add QuantumPropagors
~~~

Otherwise, the package should be installed as part of [`QuantumControl.jl`][QuantumControl]:

~~~
pkg> add QuantumControl
~~~

For development usage, see the [organization development notes](https://github.com/JuliaQuantumControl#development).

## Documentation

The documentation of `QuantumPropagators.jl` is available at <https://juliaquantumcontrol.github.io/QuantumPropagators.jl>.

For a broader perspective on how time propagation fits in the context of quantum control theory, see the [documentation of the `QuantumControl.jl` meta-package](https://juliaquantumcontrol.github.io/QuantumControl.jl/).

[QuantumControl]: https://github.com/JuliaQuantumControl/QuantumControl.jl#readme
[JuliaQuantumControl]: https://github.com/JuliaQuantumControl
[Pkg]: https://pkgdocs.julialang.org/v1/
